// $Id: searchlist.h,v 1.2 1999/11/14 09:07:30 koss Exp $

#ifndef _SearchList_h
#define _SearchList_h

#include <qlistview.h>

class SearchList : public QListView {
  Q_OBJECT

public:

  SearchList (QWidget *parent = 0, const char *name = 0 );
  virtual ~SearchList() {}

  virtual void setSelected( QListViewItem *item, bool selected );
  
  void moveToBegin( QListViewItem *item );

signals:
  void hostSelected( QListViewItem* item );
  void popupMenu( QListViewItem* item );

public slots:
  void slotSearchStarted();
  void slotFound( QString );
  void slotPingSpeed( QString, float );

protected:

  // ListView IDs
  int lv_host, lv_speed;

};


#endif
